Duplicate Individuals List

List potential duplicates matching the giving query parameters. The more parameters used, the better the matching scores.

Service Name

duplicate_individuals_list

Required Parameters

None

Optional Parameters

NameTypeDescription
individual_idintCheck duplicates against a specific individual
min_match_scoreintThe minimum threshold score that must be reached to return the record
family_idintExclude individuals belonging to the family_id
first_namestringMatch the first name
last_namestringMatch the last name
phonestringMatch the home, work, or mobile phone number
emailstringMatch the email address
streetsstringMatch the home, mailing, or work address
pageintif per_page is set this defaults to 1
per_pageintif page is set this defaults to 25

Example Curl

curl -u user:pass "https://yourchurch.ccbchurch.com/api.php?srv=duplicate_individuals_list&last_name=A'bra&phone=5555551212"

Example Response XML

<?xml version="1.0" encoding="UTF-8"?>
<ccb_api>
  <request>
    <parameters>
      <argument value="duplicate_individuals_list" name="srv"/>
      <argument value="james" name="first_name"/>
    </parameters>
  </request>
  <response>
    <individuals count="1">
        <individual id="97" family_id="74">
            <match_score>19</match_score>
            <first_name>James</first_name>
            <last_name>A'bra</last_name>
            <middle_name>John</middle_name>
            <legal_first_name>James</legal_first_name>
            <salutation>Dr</salutation>
            <suffix>IV</suffix>
            <email>[email protected]</email>
            <birthday>1978-04-23</birthday>
            <gender>M</gender>
            <family_position>Primary Contact</family_position>
            <membership_type id="1">Member</membership_type>
            <addresses>
                 <address type="mailing">
                    <street_address>10807 New Allegiance Dr.</street_address>
                    <city>Colorado Springs</city>
                    <state>CO</state>
                    <zip>80921</zip>
                    <country code="US">United States</country>
                    <line_1>10807 New Allegiance Dr.</line_1>
                    <line_2>Colorado Springs, CO 80921</line_2>
                    <latitude>38.988114</latitude>
                    <longitude>-104.804902</longitude>
                 </address>
                 <address type="home">
                      <street_address></street_address>
                      <city></city>
                      <state></state>
                      <zip></zip>
                      <country code=""> </country>
                      <line_1></line_1>
                      <line_2></line_2>
                 </address>
                 <address type="work">
                      <street_address></street_address>
                      <city></city>
                      <state></state>
                      <zip></zip>
                      <country code=""> </country>
                      <line_1></line_1>
                      <line_2></line_2>
                 </address>
                 <address type="other">
                      <street_address></street_address>
                      <city></city>
                      <state></state>
                      <zip></zip>
                      <country code=""> </country>
                      <line_1></line_1>
                      <line_2></line_2>
                 </address>
            </addresses>
            <phones>
                 <phone type="contact">1 760-555-1212</phone>
                 <phone type="home"></phone>
                 <phone type="work"></phone>
                 <phone type="mobile"></phone>
                 <phone type="emergency"></phone>
            </phones>
            <created>2000-01-15 17:00:00</created>
            <modified>2020-04-23 09:18:11</modified>
        </individual>
    </individuals>
  </response>
</ccb_api>